Latest Vulnerabilities and Exploits



CVE ID:

CVE-2021-3345

Details:

_gcry_md_block_write in cipher/hash-common.c in Libgcrypt before 1.9.1 has a heap-based buffer overflow when the digest final function sets a large count value.

References:

:https://bugs.gentoo.org/show_bug.cgi?id=767814
:https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=commit;h=512c0c75276949f13b6373b5c04f7065af750b08
:https://gnupg.org
:https://lists.gnupg.org/pipermail/gnupg-announce/2021q1/000455.html
:https://lists.gnupg.org/pipermail/gnupg-announce/2021q1/000456.html

ZeroDayLab Assigned Tags:

BUFFER OVERFLOW
HEAP OVERFLOW